package com.cr.common

import com.cr.data.DEFAULT_STR

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/3/9 15:57
 * 描述：飞行器信息
 */
data class CrFlightControlInfo(var isConnection: Boolean = false) {
    // define: 2023/3/9 电池电量
    var batteryPercent: Int = 0

    // define: 2023/3/9 产品名称
    var productName: String = DEFAULT_STR

    // define: 2023/3/9 卫星数量
    var gpsCount: String = DEFAULT_STR

    // define: 2023/3/9 IMU状态
    var imuState: String = DEFAULT_STR

    // define: 2023/3/14 指南针状态
    var compassState: String = DEFAULT_STR
}