package com.cr.models

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/6/13 16:19
 * 描述：返回结果
 */
class ResultModel {
    var isSuccess:Boolean?=false  // define: 2023/6/13 是否成功
    var message:String?="" // define: 2023/6/13 消息内容

    /**
     * 初始化
     * @param isSuccess Boolean
     * @param message String
     * @constructor
     */
    constructor(isSuccess:Boolean,message:String){
        this.isSuccess = isSuccess
        this.message = message
    }
}

/**
 * 完成接口调用
 */
interface iCompletion{
    // todo: 2023/6/13 完成回调
    fun onCompletion(result:ResultModel)
}